org.apache.lucene.analysis.core

## Class WhitespaceAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.core.WhitespaceAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class WhitespaceAnalyzer
    extends Analyzer

An Analyzer that uses `WhitespaceTokenizer`.

You must specify the required `Version` compatibility when creating `CharTokenizer`:

- As of 3.1, `WhitespaceTokenizer` uses an int based API to normalize and detect token codepoints. See `CharTokenizer.isTokenChar(int)` and `CharTokenizer.normalize(int)` for details.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Constructor Summary

Constructors
Constructor and Description
`WhitespaceAnalyzer(Version matchVersion)` Creates a new `WhitespaceAnalyzer`

### Method Summary

Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhitespaceAnalyzer

    public WhitespaceAnalyzer(Version matchVersion)

Creates a new `WhitespaceAnalyzer`

Parameters:
  `matchVersion` - Lucene version to match See above

### Method Detail

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                  Reader reader)

Specified by:
  `createComponents` in class `Analyzer`